Hello There, Guest! Login Register
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5

NEMS Upgrade 1.1 to ... 1.3?

#1
I was having trouble with our network and wanted to get off the current version I am on (1.1) and upgrade to help monitoring to (1.3).

I have been unable to download 1.3 from the website. (keeps failing)

Also, can I go directly from 1.1 to 1.3? I haven't found directions for that but also can't find 1.2.

Thanks in advance.
 Reply
#2
Yes, that's no problem jumping to 1.3.1.

What do you mean the download keeps failing?! Serious? Where are you located?

Any more info about what "failing" means? Everything looks fine on our end (other than the collocation having a power outage last night for 30 minutes).

Also, if for some reason the Direct Download is not working for you, try the BitTorrent file instead. I see 10 seeds currently connected to NEMS 1.3.1.
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#3
I don't allow torrents through our firewall.  I am not sure what happened with the last downloads, but the current one is at 1GB and still going. 

As far as "failing" the downloads just seemed to stop around 150-200MB and fail. 

Scratch that.  Got to 1.3GB and this download failed too.  I'm not seeing errors in my firewall log which is why I'm having trouble seeing what the issue is.  I will open torrent temporarily to see if I can get this in.

And just to re-iterate, my 1.1 backup will restore into 1.3?

Thanks,

QACjason
 Reply
#4
Hi QACjason,
Yes, your old backup.nems file can be imported to a newer version of NEMS Linux. You'd be best to get NEMS 1.4 now though. 1.3.1 was great, but 1.4 is a complete re-build and is the next generation of NEMS Linux.

You should be able to import NEMS 1.1 backup.nems files into NEMS 1.4. There may be minor inconsistencies, but they should be easily fixed. Let me know if you have any trouble. NEMS 1.1 is very old so I haven't tested this... :)
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#5
Robbie,

I was able to get 1.3.1 installed.  There was some small tweaks to get my backup restored (it showed all of my hosts changed to OS - Linux, and host presets to Linux Servers)

The issue I have now is updating nems.  It says I can;t connect to NEMS update servers.  That's probably true, my firewall is blocking them.  I just want to make sure I have the correct update servers to open ports on my firewall.  

I think we are ready to move to 1.4 and I am excited.  Thanks for all the help
 Reply
#6
Great, thanks for the update.

Your NEMS server will need to be able to pull from github.com (this is where I post the patches, bug fixes and upgrades), various Debian repositories (see the sources.list / sources.list.d if needed) plus nemslinux.com, where the API resides. NEMS also has an off site backup feature, which is part of the api on nemslinux.com.

Yeah - NEMS 1.4 is hot! Go get it :P

Enjoy!
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
 
 
Forum Jump:

Users browsing this thread: 1 Guest(s)